import yaml from "yaml";
import fs from "fs-extra";

const handler = async (config) => {
  const changelog = yaml.parse(await fs.readFile(config.source, "utf-8"));

  const latest_version = changelog.releases.find(
    ({ version }) => version !== "NEXT"
  );

  if (config.json) {
    config.consola.raw(latest_version);
  } else {
    config.consola.raw(latest_version.version);
  }
};

export default {
  command: "latest-version",
  desc: "output the latest version present in the changelog",
  builder: (yargs) => {
    yargs
      .boolean("json")
      .describe("json", "output latest version entry as json");
  },
  handler,
};
