import u from "@yanick/updeep-remeda";
import fs from "fs-extra";
import yaml from "yaml";
import { render_release } from "./print.js";

const handler = async (config) => {
  const source = await fs.readFile(config.source, "utf-8").then(yaml.parse);

  const res = render_release(
    { ...config, next: true },
    source
  )(source.releases.find(u.matches({ version: "NEXT" })));

  config.consola.raw("\n" + res.body);
};

export default {
  command: "upcoming",
  desc: "output the changes in NEXT",
  builder: (yargs) => {
    yargs;
  },
  handler,
};
